class AppSettings(object):
    @property
    def settings(self):
        if not hasattr(self, '_settings'):
            from django.conf import settings
            self._settings = settings
        return self._settings

    @property
    def DOCBOW_MAILBOX_PER_PAGE(self):
        return getattr(self.settings, 'DOCBOW_MAILBOX_PER_PAGE', 20)

    @property
    def DOCBOW_MENU(self):
        from django.utils.translation import ugettext_noop
        return getattr(self.settings, 'DOCBOW_MENU', [
            ('send-file-selector', ugettext_noop('send-file_menu')),
            ('inbox', ugettext_noop('inbox_menu')),
            ('outbox', ugettext_noop('outbox_menu')),
            ('docbow_admin:index', ugettext_noop('admin_menu')),
            ('profile', ugettext_noop('profile_menu')),
            ('mailing-lists', ugettext_noop('mailing-lists')),
            ('help', ugettext_noop('help_menu')),
            ('contact', ugettext_noop('contact_menu')),
            ])

    @property
    def BASE_URL(self):
        return getattr(self.settings, 'DOCBOW_BASE_URL', 'http://localhost:8000')

    @property
    def TIMESTAMP_PROVIDER(self):
        return getattr(self.settings, 'DOCBOW_TIMESTAMP_PROVIDER', 'certum')

    @property
    def TRUNCATE_FILENAME(self):
        return getattr(self.settings, 'DOCBOW_TRUNCATE_FILENAME', 80)

    @property
    def MAX_FILE_SIZE(self):
        return getattr(self.settings, 'DOCBOW_MAX_FILE_SIZE', 10*1024*1024)

import sys

app_settings = AppSettings()
app_settings.__name__ = __name__
sys.modules[__name__] = app_settings
